%define rev 420
Name:		httpd-spdy
Version:	0.9.4.3
Release:	1%{?dist}
Epoch:		1
Summary:	Apache 2 module to enable SPDY support.
Summary(ko):	Apache 2 SPDY 지원 모듈

Group:		System Environment/Daemons
License:	Apache Software License
URL:		http://code.google.com/p/mod-spdy/
Source0:	mod_spdy-%{version}-%{rev}.x86_64.so
Source1:	mod_spdy-%{version}-%{rev}.i386.so
Source2:	spdy.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	httpd > 2.2.26, oepenssl > 1.0.0

%description
mod_spdy is an Apache module that allows an Apache server to support
the SPDY protocol for serving HTTP resources.

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} %{buildroot}%{_libdir}/httpd/modules

%ifarch x86_64
%{__install} -m 755 %{SOURCE0} %{buildroot}%{_libdir}/httpd/modules/mod_spdy.so
%else
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_libdir}/httpd/modules/mod_spdy.so
%endif
%{__install} -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/spdy.conf

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/spdy.conf
%{_libdir}/httpd/modules/mod_spdy.so

%changelog
* Fri Jan 30 2015 JoungKyun.Kim <http://oops.org> 1:0.9.4.3-420%{?dist}
- update 0.9.4.3 r420

* Sat Apr 05 2014 JoungKyun.Kim <http://oops.org> 1:0.9.4.1-1%{?dist}
- first release
